import 'package:hub/src/core/domain/repositories/hub_repository.dart';
import 'package:hub/src/features/hub/domain/get_devices_use_case.dart';
import 'package:legacy_shared/legacy_shared.dart';

class GetDevicesUseCaseImpl implements GetDevicesUseCase {
  GetDevicesUseCaseImpl(this._repository);

  final HomeRepository _repository;
  @override
  Future<List<DeviceEntity>> getDevices({required String userId}) async {
    return _repository.getDevices(userId: userId);
  }
}